﻿using C1.Win.C1Ribbon;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_RibbonTabParent
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            C1Ribbon.SelectedTabChanged += C1Ribbon1_SelectedTabChanged;
        }
        private void C1Ribbon1_SelectedTabChanged(object sender, EventArgs e)
        {

            int count = 0;
            RibbonContextualTabGroup currentOwner = null;

            // determine the current owner of the tab to add.
            foreach (RibbonContextualTabGroup tabGroup in C1Ribbon.ContextualTabGroups)
            {
                if (tabGroup.Tabs.Contains(C1Ribbon.SelectedTab))
                {
                    currentOwner = tabGroup;

                    MessageBox.Show(C1Ribbon.SelectedTab.Name + " owner: " + currentOwner.Name);
                    count++;
                    break;
                }
            }
            if (count == 0)
            {
                MessageBox.Show(C1Ribbon.SelectedTab.Name + " owner: " + C1Ribbon.SelectedTab.Ribbon.Name);
            }
        }
    }
}
